=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 confflags += --with-selinux
 confflags += --with-audit=linux
-confflags += --with-systemd
 confflags += --with-security-key-builtin
 endif
 
@@ -114,14 +113,7 @@
 endif
 
 %:
-	dh $@ --with=autoreconf,systemd,runit $(BUILD_PACKAGES)
-
-autoreconf:
-	autoreconf -f -i
-	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./
-
-override_dh_autoreconf-arch:
-	dh_autoreconf debian/rules -- autoreconf
+	dh $@ --with=runit $(BUILD_PACKAGES)
 
 override_dh_autoreconf-indep:
 
@@ -139,7 +131,7 @@
 override_dh_auto_build-arch:
 	$(MAKE) -C debian/build-deb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass'
 	$(MAKE) -C debian/build-deb regress-prep
-	$(MAKE) -C debian/build-deb $(PARALLEL) regress-binaries
+	$(MAKE) -C debian/build-deb $(PARALLEL) regress-binaries regress-unit-binaries
 ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 	$(MAKE) -C debian/build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen
 endif
@@ -171,26 +163,22 @@
 override_dh_auto_install-indep:
 
 override_dh_install-arch:
-	rm -f debian/tmp/etc/ssh/sshd_config
-
-	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb --fail-missing
+	# Remove version control tags to avoid unnecessary conffile
+	# resolution steps for administrators.
+	sed -i '/\$$OpenBSD:/d' \
+		debian/tmp/etc/ssh/moduli \
+		debian/tmp/etc/ssh/ssh_config \
+		debian/tmp/etc/ssh/sshd_config
+
+	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb
 ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 	dh_install -popenssh-client-udeb -popenssh-server-udeb \
 		--sourcedir=debian/build-udeb
 endif
 
-	# Remove version control tags to avoid unnecessary conffile
-	# resolution steps for administrators.
-	sed -i '/\$$OpenBSD:/d' \
-		debian/openssh-server/etc/ssh/moduli \
-		debian/openssh-client/etc/ssh/ssh_config
-
-# We'd like to use dh_install --fail-missing here, but that doesn't work
-# well in combination with dh-exec: it complains that files generated by
-# dh-exec for architecture-dependent packages aren't installed.
-override_dh_install-indep:
-	rm -f debian/tmp/etc/ssh/sshd_config
-	dh_install
+	# This can't be done using dh_link, because it's needed earlier by
+	# dh_installalternatives.
+	ln -sf ssh debian/openssh-client/usr/bin/slogin
 
 override_dh_installdocs:
 	dh_installdocs -Nopenssh-server -Nopenssh-sftp-server
@@ -199,10 +187,6 @@
 	# Avoid breaking dh_installexamples later.
 	mkdir -p debian/openssh-server/usr/share/doc/openssh-client
 
-override_dh_systemd_enable:
-	dh_systemd_enable -popenssh-server --name ssh ssh.service
-	dh_systemd_enable -popenssh-server --name ssh --no-enable ssh.socket
-
 override_dh_installinit:
 	dh_installinit -R --name ssh
 
@@ -219,13 +203,11 @@
 override_dh_runit:
 	dh_runit -popenssh-server
 
-override_dh_fixperms-arch:
-	dh_fixperms
+execute_after_dh_fixperms-arch:
 	chmod u+s debian/openssh-client/usr/lib/openssh/ssh-keysign
 
 # Tighten libssl dependencies to match the check in entropy.c.
-override_dh_shlibdeps:
-	dh_shlibdeps
+execute_after_dh_shlibdeps:
 	debian/adjust-openssl-dependencies
 
 override_dh_gencontrol:
